- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Reminder QML Type

The Reminder element contains information about when and how the user wants to reminded of the item. More...

Import Statement: | import QtOrganizer 5.0
Inherited By: | AudibleReminder, EmailReminder, and VisualReminder

- List of all members, including inherited members

## Properties

- reminderType : enumeration
- repetitionCount : int
- repetitionDelay : int
- secondsBeforeStart : int

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- Reminder.FieldRepetitionCount
- Reminder.FieldRepetitionDelay
- Reminder.FieldSecondsBeforeStart

See also QOrganizerItemReminder.

## Property Documentation

reminderType : enumeration

This property holds the reminder type of this reminder for an organizer item. The value can be one of:

- Reminder.NoReminder
- Reminder.VisualReminder
- Reminder.AudibleReminder
- Reminder.EmailReminder

repetitionCount : int

This property holds the number of times the user should be reminded of the item.

repetitionDelay : int

This property holds the delay (in seconds) between each repetition of the reminder.

secondsBeforeStart : int

This property holds the number of seconds prior to the activation of the item at which the user wants to be reminded of the item.

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.